package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.report.*;
import com.engine.kq.service.KQReportService;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

public class KQReportServiceImpl extends Service implements KQReportService {

	@Override
	public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetRightMenuCmd(params, user));
	}

	@Override
	public Map<String, Object> getSearchCondition(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetSearchConditionCmd(params, user));
	}

	@Override
	public Map<String, Object> getKQDailyReport(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetKQDailyReportCmd(params, user));
	}

	@Override
	public Map<String, Object> getKQReport(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetKQReportCmd(params, user));
	}

	@Override
	public Map<String, Object> formatReport(Map<String, Object> params, User user) {
		return commandExecutor.execute(new FormatReportCmd(params, user));
	}

	@Override
	public Map<String, Object> exportExcel(Map<String, Object> params, HttpServletRequest request, HttpServletResponse response, User user) {
		return commandExecutor.execute(new ExportExcelCmd(params, request, response, user));
	}

	@Override
	public Map<String, Object> exportDailyExcel(Map<String, Object> params, HttpServletRequest request, HttpServletResponse response, User user) {
		return commandExecutor.execute(new ExportDailyExcelCmd(params, request, response, user));
	}
}
